//#include<iostream.h>
#include<X11/StringDefs.h>
#include<X11/Intrinsic.h>
#include<X11/cursorfont.h>
#include<Xm/MainW.h>
#include<Xm/Form.h>
#include<Xm/DrawingA.h>
#include<Xm/Label.h>
#include<Xm/PushB.h>
#include<Xm/Text.h>
#include<Xm/Scale.h>

typedef int boolean;
#define pk_true 1
#define false 0
#include "Q1Q2COST_types.h"
#include "Q1Q2COST_body.h"
#include "Q1Q2COST_externals.h"
#include "gest_fen_m.c"
#include "ioQ1Q2COST_m.c"

/*----------------
  X11 Declarations
  ----------------*/
XtAppContext app_context;
Widget toplevel, frame_widg;

boolean vh = TRUE;

/*-------------------------------------------------------------------*/
int
main ()
/******/
{
  static unsigned int argc;
  static char *argv[] = { " SECOND DEGREE EQUATIONS RESOLUTION" };

/*----------------
  Windows creation
  ----------------*/
//MrmInitialize();
  argc = 1;
  toplevel = XtVaAppInitialize (&app_context, "RESOLUTION", NULL, 0, &argc, argv, NULL, NULL);
  creation_fenetre_principale (toplevel);
  XtRealizeWidget (toplevel);


/*-----------------------------------
  Initializations and loop activation 
 *-----------------------------------*/
  Q1Q2COST_OpenIO ();
  Q1Q2COST_initialize ();
  XtAppMainLoop (app_context);
}

/*-------------------
  Program termination
  -------------------*/
void
WSTOP (long int *b)
{
  Q1Q2COST_CloseIO ();
  exit (0);
}
