process VTIDENTITY =
     { integer NUL_CODE, LIN_CODE, TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A; }
     ( ? event HE;
     )
   (| (| X := IDENTITY(A)
       | CONTEXT{NUL_CODE, LIN_CODE}
       | SCREEN{TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A}
       | BACK{}
       |)/ V1, C1, HVISU, A, H_0, X |)
   where 
   use CONTEXT_LIB, SCREEN_LIB; 
   process BACK =
        ( ? integer X;
          ! event HVISU; 
            boolean C1; 
            integer V1;
        )
      (| HVISU := ^X
       | C1 := HVISU
       | V1 := X
       |)
   ; 
   process CONTEXT =
        { integer NUL_CODE, LIN_CODE; }
        ( ? event HE;
          ! event H_0; 
            integer A;
        )
      (| (| S_PACE_MAKER{NUL_CODE, LIN_CODE}
          | (| H := HES
             | SCAN{}
             |) where event H; end
          |)/ HES |)
      where 
      process SCAN =
           ( ? event H;
             ! integer A;
           )
         (| A := GETISIG(H, RA()) |)
         where 
         process GETISIG =
              ( ? event H; 
                  integer V_ON;
                ! integer _ON_;
              )
            (| H ^= V_ON
             | _ON_ := V_ON
             |)
         ; 
         process RA =
              ( ! integer A;
              )
         
         ;
         end
      ; 
      event HES;
      end
   ; 
   process SCREEN =
        { integer TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A; }
        ( ? event H_0; 
            event HVISU; 
            boolean C1; 
            integer V1;
        )
      (| (| (| HE := HVISU
             | X := WSET{TICK_NUMBER, FRONT_NUMBER, 4*TICK_HEIGHT, DELTA+DELTA+TICK_WIDTH}(SCREEN, HE)
             |) where event HE; end
          | (| Z_V1 := V1$ init MIN_A
             | WINT{ESP_HEIGHT, TICK_HEIGHT, DELTA, TICK_WIDTH, MIN_A, MAX_A, STRING_HEIGHT}(SCREEN, Z_V1, V1, X)
             |)/ Z_V1
          | (| HE := HVISU
             | INITSCREEN{}
             |) where event HE; end
          | WBOOL{2*TICK_HEIGHT, TICK_HEIGHT, DELTA, TICK_WIDTH}(SCREEN, C1, X)
          |)/ SCREEN, X |)
      where 
      integer X, Z_V1, SCREEN;
      end
   ; 
   process IDENTITY =
        ( ? integer A;
          ! integer X;
        )
      (| X := A |)
   ; 
   integer X, A, V1; 
   event H_0, HVISU; 
   boolean C1;
   end
; 
