#include "type.h"
#include "pace_rhythm.h"

/*
|-------------------|
| DISPLAYING RHYTHM |
|-------------------|
*/

struct rhythm_descr pace_count;

void get_pace_rhythm(struct rhythm_descr **descr,int *pi_0)
/************************* Starting function called by the SIGNAL program */


{ 
  make_display_scale(&pace_count,SCALEXWIWRITE,SCALEYWIWRITE);
  *descr=&pace_count;
  *pi_0= PACE_PI_0;
}
     
void meter_pace_creat( Widget widget)
/********************************************* X11 Callback function
                                               to get Widget descriptor */
 {
  (pace_count).discount = widget;
 }

void inter_pace_up_p()
/*********** X11 Callback function  */

{
    (pace_count).vupdown = pk_true;
    (pace_count).vcode = LIN_CODE;
}
 
void inter_pace_down_p()
/************* X11 Callback function  */

{
    (pace_count).vupdown = pk_false;
    (pace_count).vcode = LIN_CODE;
}
 
void inter_pace_down_m()
/************* X11 Callback function  */

{
    (pace_count).vupdown = pk_false;
    (pace_count).vcode = EXP_CODE;
}
 
void inter_pace_up_m()
/*********** X11 callback function */

{
    (pace_count).vupdown = pk_true;
    (pace_count).vcode = EXP_CODE;
}
