process Q1COSTQ1Q2COSTQ2 =
     ( ? real a;
         real b;
         real c;
       ! boolean error;
         real x1;
         real x2;
         integer lat;
         integer MaxLat;
     )
   (| (| (| d_b := d_c_2
          | d_c := d_b_1
          | COMP_ABSTRACT{}
          |) where integer d_c, d_b; end
       | (| DateGenerator{}
          | d_b_1 := d_b
          | d_c_2 := d_c
          |) where HomoType d_b, d_c; end
       | (| d_deb := d_c_2
          | Latency{}
          |) where HomoType d_deb; end
       | MaxLatency{}
       |)/ dEnd, d_c_2, d_b_1, d_a, stable, d_x2, d_x1, d_error |)
   where 
   type HomoType = integer;
   constant HomoType NilHomoTypeValue = 0;
   process COMP_ABSTRACT =
        ( ? real c;
            real b;
            real a;
            integer d_a, d_c, d_b;
          ! boolean error;
            real x1;
            real x2;
            boolean stable init true;
            integer d_error, d_x1;
            integer d_x2;
        )
      (| (| (| C_error := C_error_1
             | Q1COSTQ1_ABSTRACT{}
             |) where boolean C_error; end
          | (| Q2COSTQ2_ABSTRACT{}
             | C_error_1 := C_error
             |) where boolean C_error; end
          |)/ d_C_error, d_C_cc_328, d_C_cc, d_error_253, d_x, C_error_1, C_cc_328, C_cc, error_253, x, d_C_error_360, d_C_x1, d_C_y, d_OK, d_stable, C_x1, C_error_360, C_y, OK |)
      where 
      type HomoType = integer;
      constant NilHomoTypeValue = 0;
      real x;
      boolean error_253, C_cc, C_cc_328, C_error, C_error_342;
      integer d_x, d_error_253, d_C_cc, d_C_cc_328, d_C_error, d_C_error_342;
      boolean OK, C_y, C_error_360, C_x1, C_278, C_281, C_, C_C_error, C_305, C_308, C_310, C_315, C_322, C_356, C_error_1;
      integer d_OK, d_stable, d_C_y, d_C_error_360, d_C_x1;
      process Q2COSTQ2_ABSTRACT =
           ( ? real c, b;
               boolean C_y, C_error_360, C_x1, stable, OK;
               integer d_c, d_b, d_OK, d_stable, d_C_y, d_C_error_360, d_C_x1;
             ! real x;
               boolean error_253, C_cc, C_error_342, C_cc_328, C_error;
               integer d_x, d_error_253, d_C_cc, d_C_cc_328, d_C_error, d_C_error_342;
           )
         pragmas 
            Grey_Box "Q2COSTQ2"
         end pragmas
         (| (| Tick_2330 := true
             | when Tick_2330 ^= C_y ^= C_x1 ^= stable ^= d_stable ^= d_C_y ^= d_C_x1
             | when C_cc ^= C_cc_328 ^= C_error ^= d_C_cc_328 ^= d_C_error
             | when stable ^= c ^= b ^= C_error_360 ^= OK ^= d_c ^= d_b ^= d_OK ^= d_C_error_360 ^= C_cc ^= C_error_342 ^= d_C_cc ^= d_C_error_342
             | when C_cc_328 ^= x ^= d_x
             | when C_error ^= error_253 ^= d_error_253
             |)
          | (| nlabel :: (x,error_253) := Q2COSTQ2_Cluster_1()
             | nlabel ^= when C_cc
             |)
          | (| nlabel_3216 :: C_cc := Q2COSTQ2_Cluster_2(stable,OK)
             | nlabel_3216 ^= when stable
             |)
          | (| nlabel_3217 :: (C_error_342,C_cc_328,C_error) := Q2COSTQ2_Cluster_3(b,stable)
             | nlabel_3217 ^= when Tick_2330
             |)
          | (| nlabel_3218 :: (d_x,d_error_253) := Q2COSTQ2_Cluster_4()
             | nlabel_3218 ^= when C_cc
             |)
          | (| nlabel_3219 :: d_C_cc := Q2COSTQ2_Cluster_5(stable)
             | nlabel_3219 ^= when stable
             |)
          | (| nlabel_3220 :: (d_C_cc_328,d_C_error,d_C_error_342) := Q2COSTQ2_Cluster_6(stable)
             | nlabel_3220 ^= when stable
             |)
          | (| nlabel_3221 :: Q2COSTQ2_Cluster_7(c,stable)
             | nlabel_3221 ^= when stable
             |)
          | (| nlabel_3222 :: Q2COSTQ2_Cluster_8(stable,d_c)
             | nlabel_3222 ^= when stable
             |)
          | (| nlabel_3223 :: Q2COSTQ2_Cluster_9(stable,d_b)
             | nlabel_3223 ^= when stable
             |)
          | (| nlabel_3224 :: Q2COSTQ2_Cluster_10(stable,d_OK)
             | nlabel_3224 ^= when stable
             |)
          | (| nlabel_3225 :: Q2COSTQ2_Cluster_11(d_stable)
             | nlabel_3225 ^= when Tick_2330
             |)
          | (| nlabel_3226 :: Q2COSTQ2_Cluster_12()
             | nlabel_3226 ^= when C_cc
             |)
          | (| nlabel_3227 :: Q2COSTQ2_Cluster_13(stable)
             | nlabel_3227 ^= when stable
             |)
          | (| nlabel_3228 :: Q2COSTQ2_Cluster_14(stable)
             | nlabel_3228 ^= when stable
             |)
          | (| nlabel_3229 :: Q2COSTQ2_Cluster_15(stable)
             | nlabel_3229 ^= when Tick_2330
             |)
          | (| nlabel_3230 :: Q2COSTQ2_Cluster_16()
             | nlabel_3230 ^= when C_cc
             |)
          | (| nlabel_3231 :: Q2COSTQ2_Cluster_17(stable)
             | nlabel_3231 ^= when stable
             |)
          | (| nlabel_3232 :: Q2COSTQ2_Cluster_18(stable)
             | nlabel_3232 ^= when stable
             |)
          | (| nlabel_3233 :: Q2COSTQ2_Cluster_19(stable)
             | nlabel_3233 ^= when stable
             |)
          | (| nlabel_3234 :: Q2COSTQ2_Cluster_20(stable)
             | nlabel_3234 ^= when stable
             |)
          | (| nlabel_3235 :: Q2COSTQ2_Cluster_21()
             | nlabel_3235 ^= when C_cc
             |)
          | (| nlabel_3236 :: Q2COSTQ2_Cluster_22()
             | nlabel_3236 ^= when Tick_2330
             |)
          | (| nlabel_3216 --> nlabel_3234
             | nlabel_3216 --> nlabel_3233
             | nlabel_3216 --> nlabel_3231
             | nlabel_3216 --> nlabel_3228
             | nlabel_3216 --> nlabel_3227
             | nlabel_3216 --> nlabel_3221
             | nlabel_3216 --> nlabel_3220
             | nlabel_3216 --> nlabel_3217
             | OK --> nlabel_3216
             | nlabel_3217 --> nlabel_3235
             | nlabel_3217 --> nlabel_3230
             | nlabel_3217 --> nlabel_3226
             | nlabel_3217 --> nlabel_3218
             | nlabel_3217 --> nlabel
             | b --> nlabel_3217
             | nlabel_3219 --> nlabel_3228
             | nlabel_3220 --> nlabel_3226
             | nlabel_3221 --> nlabel
             | c --> nlabel_3221
             | nlabel_3222 --> nlabel_3234
             | nlabel_3222 --> nlabel_3227
             | d_c --> nlabel_3222
             | nlabel_3223 --> nlabel_3233
             | nlabel_3223 --> nlabel_3220
             | d_b --> nlabel_3223
             | nlabel_3224 --> nlabel_3219
             | d_OK --> nlabel_3224
             | nlabel_3225 --> nlabel_3229
             | d_stable --> nlabel_3225
             | nlabel_3226 --> nlabel_3218
             | nlabel_3227 --> nlabel_3230
             | nlabel_3227 --> nlabel_3218
             | nlabel_3228 --> nlabel_3235
             | nlabel_3228 --> nlabel_3227
             | nlabel_3228 --> nlabel_3220
             | nlabel_3229 --> nlabel_3231
             | nlabel_3229 --> nlabel_3220
             | nlabel_3229 --> nlabel_3219
             | nlabel_3230 --> nlabel_3218
             | nlabel_3231 --> nlabel_3228
             | nlabel_3231 --> nlabel_3220
             | nlabel_3232 --> nlabel_3224
             | nlabel_3232 --> nlabel_3223
             | nlabel_3232 --> nlabel_3222
             | nlabel_3232 --> nlabel_3220
             | nlabel_3232 --> nlabel_3219
             | nlabel_3233 --> nlabel_3220
             | nlabel_3234 --> nlabel_3227
             | nlabel_3235 --> nlabel_3226
             | nlabel_3236 --> nlabel_3225
             |)
          |)
         where 
         boolean Tick_2330;
         label nlabel, nlabel_3216, nlabel_3217, nlabel_3218, nlabel_3219, nlabel_3220, nlabel_3221, nlabel_3222, nlabel_3223, nlabel_3224, nlabel_3225, nlabel_3226, nlabel_3227, nlabel_3228, nlabel_3229, nlabel_3230, nlabel_3231, nlabel_3232, nlabel_3233,
               nlabel_3234, nlabel_3235, nlabel_3236; 
         action Q2COSTQ2_Cluster_1 =
              ( ! real x;
                  boolean error_253;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_2 =
              ( ? boolean stable;
                  boolean OK;
                ! boolean C_cc;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_3 =
              ( ? real b;
                  boolean stable;
                ! boolean C_error_342;
                  boolean C_cc_328;
                  boolean C_error;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_4 =
              ( ! integer d_x;
                  integer d_error_253;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_5 =
              ( ? boolean stable;
                ! integer d_C_cc;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_6 =
              ( ? boolean stable;
                ! integer d_C_cc_328;
                  integer d_C_error;
                  integer d_C_error_342;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_7 =
              ( ? real c;
                  boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_8 =
              ( ? boolean stable;
                  integer d_c;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_9 =
              ( ? boolean stable;
                  integer d_b;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_10 =
              ( ? boolean stable;
                  integer d_OK;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_11 =
              ( ? integer d_stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_12 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_13 =
              ( ? boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_14 =
              ( ? boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_15 =
              ( ? boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_16 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_17 =
              ( ? boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_18 =
              ( ? boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_19 =
              ( ? boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_20 =
              ( ? boolean stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_21 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q2COSTQ2_Cluster_22 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         end
      ; 
      process Q1COSTQ1_ABSTRACT =
           ( ? real c, b, a, x;
               boolean C_cc, C_cc_328, error_253, C_error;
               integer d_c, d_b, d_a, d_x, d_error_253, d_C_cc, d_C_cc_328, d_C_error;
             ! boolean error;
               real x1, x2;
               boolean OK, stable init true, C_y, C_error_360, C_x1;
               integer d_error, d_x1, d_x2, d_OK, d_stable, d_C_y, d_C_error_360, d_C_x1;
               boolean C_C_error;
           )
         pragmas 
            Grey_Box "Q1COSTQ1"
         end pragmas
         (| (| Tick_8352 := true
             | when Tick_8352 ^= stable ^= C_y ^= C_x1 ^= d_stable ^= d_C_y ^= d_C_x1
             | when stable ^= c ^= b ^= a ^= C_cc ^= d_c ^= d_b ^= d_a ^= d_C_cc ^= OK ^= C_error_360 ^= d_OK ^= d_C_error_360 ^= C_C_error
             | when C_error ^= error_253 ^= d_error_253
             | when C_cc_328 ^= x ^= d_x
             | when C_C_error ^= C_cc_328 ^= C_error ^= d_C_cc_328 ^= d_C_error
             | when C_y ^= x2 ^= d_x2
             | when C_error_360 ^= error ^= d_error
             | when C_x1 ^= x1 ^= d_x1
             |)
          | (| nlabel :: error := Q1COSTQ1_Cluster_1(error_253,C_error)
             | nlabel ^= when stable
             |)
          | (| nlabel_11860 :: x1 := Q1COSTQ1_Cluster_2(x,C_cc_328)
             | nlabel_11860 ^= when Tick_8352
             |)
          | (| nlabel_11861 :: (x2,C_y) := Q1COSTQ1_Cluster_3()
             | nlabel_11861 ^= when Tick_8352
             |)
          | (| nlabel_11862 :: (OK,C_C_error) := Q1COSTQ1_Cluster_4(a)
             | nlabel_11862 ^= when Tick_8352
             |)
          | (| nlabel_11863 :: C_error_360 := Q1COSTQ1_Cluster_5()
             | nlabel_11863 ^= when stable
             |)
          | (| nlabel_11864 :: C_x1 := Q1COSTQ1_Cluster_6()
             | nlabel_11864 ^= when Tick_8352
             |)
          | (| nlabel_11865 :: d_error := Q1COSTQ1_Cluster_7()
             | nlabel_11865 ^= when stable
             |)
          | (| nlabel_11866 :: d_x1 := Q1COSTQ1_Cluster_8()
             | nlabel_11866 ^= when Tick_8352
             |)
          | (| nlabel_11867 :: (d_x2,d_C_y) := Q1COSTQ1_Cluster_9()
             | nlabel_11867 ^= when Tick_8352
             |)
          | (| nlabel_11868 :: d_OK := Q1COSTQ1_Cluster_10(d_a)
             | nlabel_11868 ^= when Tick_8352
             |)
          | (| nlabel_11869 :: d_stable := Q1COSTQ1_Cluster_11()
             | nlabel_11869 ^= when Tick_8352
             |)
          | (| nlabel_11870 :: d_C_error_360 := Q1COSTQ1_Cluster_12()
             | nlabel_11870 ^= when stable
             |)
          | (| nlabel_11871 :: d_C_x1 := Q1COSTQ1_Cluster_13()
             | nlabel_11871 ^= when Tick_8352
             |)
          | (| nlabel_11872 :: Q1COSTQ1_Cluster_14(b)
             | nlabel_11872 ^= when stable
             |)
          | (| nlabel_11873 :: Q1COSTQ1_Cluster_15(C_cc_328)
             | nlabel_11873 ^= when Tick_8352
             |)
          | (| nlabel_11874 :: Q1COSTQ1_Cluster_16(c)
             | nlabel_11874 ^= when stable
             |)
          | (| nlabel_11875 :: Q1COSTQ1_Cluster_17(d_c)
             | nlabel_11875 ^= when stable
             |)
          | (| nlabel_11876 :: Q1COSTQ1_Cluster_18(d_b)
             | nlabel_11876 ^= when stable
             |)
          | (| nlabel_11877 :: Q1COSTQ1_Cluster_19(d_C_cc_328)
             | nlabel_11877 ^= when C_C_error
             |)
          | (| nlabel_11878 :: Q1COSTQ1_Cluster_20(d_C_error)
             | nlabel_11878 ^= when C_C_error
             |)
          | (| nlabel_11879 :: Q1COSTQ1_Cluster_21()
             | nlabel_11879 ^= when stable
             |)
          | (| nlabel_11880 :: Q1COSTQ1_Cluster_22()
             | nlabel_11880 ^= when Tick_8352
             |)
          | (| nlabel_11881 :: Q1COSTQ1_Cluster_23()
             | nlabel_11881 ^= when Tick_8352
             |)
          | (| nlabel_11882 :: Q1COSTQ1_Cluster_24()
             | nlabel_11882 ^= when Tick_8352
             |)
          | (| nlabel_11883 :: Q1COSTQ1_Cluster_25()
             | nlabel_11883 ^= when stable
             |)
          | (| nlabel_11884 :: Q1COSTQ1_Cluster_26()
             | nlabel_11884 ^= when stable
             |)
          | (| nlabel_11885 :: Q1COSTQ1_Cluster_27()
             | nlabel_11885 ^= when stable
             |)
          | (| nlabel_11886 :: Q1COSTQ1_Cluster_28()
             | nlabel_11886 ^= when Tick_8352
             |)
          | (| nlabel_11887 :: Q1COSTQ1_Cluster_29()
             | nlabel_11887 ^= when stable
             |)
          | (| nlabel_11888 :: Q1COSTQ1_Cluster_30()
             | nlabel_11888 ^= when stable
             |)
          | (| nlabel_11889 :: Q1COSTQ1_Cluster_31()
             | nlabel_11889 ^= when OK
             |)
          | (| nlabel_11890 :: Q1COSTQ1_Cluster_32()
             | nlabel_11890 ^= when OK
             |)
          | (| nlabel_11891 :: Q1COSTQ1_Cluster_33(C_error)
             | nlabel_11891 ^= when stable
             |)
          | (| nlabel_11953 :: stable := Q1COSTQ1_Cluster_delays()
             | nlabel_11953 ^= when Tick_8352
             |)
          | (| C_error --> nlabel
             | error_253 --> nlabel
             | C_cc_328 --> nlabel_11860
             | x --> nlabel_11860
             | nlabel_11861 --> nlabel_11890
             | nlabel_11861 --> nlabel_11889
             | nlabel_11861 --> nlabel_11886
             | nlabel_11861 --> nlabel_11885
             | nlabel_11861 --> nlabel_11867
             | nlabel_11861 --> nlabel_11864
             | nlabel_11861 --> nlabel_11863
             | nlabel_11861 --> nlabel_11860
             | nlabel_11861 --> nlabel
             | nlabel_11862 --> nlabel_11891
             | nlabel_11862 --> nlabel_11888
             | nlabel_11862 --> nlabel_11887
             | nlabel_11862 --> nlabel_11885
             | nlabel_11862 --> nlabel_11884
             | nlabel_11862 --> nlabel_11883
             | nlabel_11862 --> nlabel_11882
             | nlabel_11862 --> nlabel_11881
             | nlabel_11862 --> nlabel_11880
             | nlabel_11862 --> nlabel_11879
             | nlabel_11862 --> nlabel_11878
             | nlabel_11862 --> nlabel_11877
             | nlabel_11862 --> nlabel_11874
             | nlabel_11862 --> nlabel_11873
             | nlabel_11862 --> nlabel_11872
             | nlabel_11862 --> nlabel_11867
             | nlabel_11862 --> nlabel_11861
             | a --> nlabel_11862
             | nlabel_11863 --> nlabel_11885
             | nlabel_11863 --> nlabel_11865
             | nlabel_11863 --> nlabel
             | nlabel_11864 --> nlabel_11886
             | nlabel_11864 --> nlabel_11866
             | nlabel_11864 --> nlabel_11860
             | nlabel_11867 --> nlabel_11886
             | nlabel_11867 --> nlabel_11885
             | nlabel_11867 --> nlabel_11871
             | nlabel_11868 --> nlabel_11884
             | nlabel_11868 --> nlabel_11882
             | nlabel_11868 --> nlabel_11880
             | nlabel_11868 --> nlabel_11867
             | d_a --> nlabel_11868
             | nlabel_11869 --> nlabel_11891
             | nlabel_11869 --> nlabel_11886
             | nlabel_11869 --> nlabel_11885
             | nlabel_11869 --> nlabel_11884
             | nlabel_11869 --> nlabel_11882
             | nlabel_11869 --> nlabel_11881
             | nlabel_11869 --> nlabel_11880
             | nlabel_11869 --> nlabel_11876
             | nlabel_11869 --> nlabel_11875
             | nlabel_11869 --> nlabel_11871
             | nlabel_11869 --> nlabel_11870
             | nlabel_11869 --> nlabel_11868
             | nlabel_11869 --> nlabel_11867
             | nlabel_11869 --> nlabel_11864
             | nlabel_11869 --> nlabel_11863
             | nlabel_11869 --> nlabel_11862
             | nlabel_11869 --> nlabel_11861
             | nlabel_11870 --> nlabel_11865
             | nlabel_11871 --> nlabel_11866
             | nlabel_11872 --> nlabel_11861
             | b --> nlabel_11872
             | nlabel_11873 --> nlabel_11864
             | C_cc_328 --> nlabel_11873
             | nlabel_11874 --> nlabel_11861
             | c --> nlabel_11874
             | nlabel_11875 --> nlabel_11888
             | nlabel_11875 --> nlabel_11883
             | d_c --> nlabel_11875
             | nlabel_11876 --> nlabel_11887
             | nlabel_11876 --> nlabel_11879
             | d_b --> nlabel_11876
             | nlabel_11877 --> nlabel_11881
             | d_C_cc_328 --> nlabel_11877
             | nlabel_11878 --> nlabel_11884
             | d_C_error --> nlabel_11878
             | nlabel_11879 --> nlabel_11889
             | nlabel_11879 --> nlabel_11880
             | nlabel_11879 --> nlabel_11867
             | nlabel_11880 --> nlabel_11870
             | nlabel_11880 --> nlabel_11867
             | nlabel_11881 --> nlabel_11871
             | nlabel_11882 --> nlabel_11890
             | nlabel_11882 --> nlabel_11884
             | nlabel_11882 --> nlabel_11883
             | nlabel_11882 --> nlabel_11881
             | nlabel_11882 --> nlabel_11880
             | nlabel_11882 --> nlabel_11879
             | nlabel_11883 --> nlabel_11880
             | nlabel_11884 --> nlabel_11870
             | nlabel_11885 --> nlabel_11865
             | nlabel_11886 --> nlabel_11866
             | nlabel_11887 --> nlabel_11879
             | nlabel_11888 --> nlabel_11883
             | nlabel_11889 --> nlabel_11867
             | nlabel_11890 --> nlabel_11867
             | nlabel_11891 --> nlabel_11863
             | nlabel_11891 --> nlabel
             | C_error --> nlabel_11891
             | a --> nlabel_11891
             | nlabel_11891 --> nlabel_11953
             | nlabel_11890 --> nlabel_11953
             | nlabel_11889 --> nlabel_11953
             | nlabel_11888 --> nlabel_11953
             | nlabel_11887 --> nlabel_11953
             | nlabel_11886 --> nlabel_11953
             | nlabel_11885 --> nlabel_11953
             | nlabel_11884 --> nlabel_11953
             | nlabel_11883 --> nlabel_11953
             | nlabel_11882 --> nlabel_11953
             | nlabel_11881 --> nlabel_11953
             | nlabel_11880 --> nlabel_11953
             | nlabel_11879 --> nlabel_11953
             | nlabel_11878 --> nlabel_11953
             | nlabel_11877 --> nlabel_11953
             | nlabel_11876 --> nlabel_11953
             | nlabel_11875 --> nlabel_11953
             | nlabel_11874 --> nlabel_11953
             | nlabel_11873 --> nlabel_11953
             | nlabel_11872 --> nlabel_11953
             | nlabel_11871 --> nlabel_11953
             | nlabel_11870 --> nlabel_11953
             | nlabel_11869 --> nlabel_11953
             | nlabel_11868 --> nlabel_11953
             | nlabel_11867 --> nlabel_11953
             | nlabel_11866 --> nlabel_11953
             | nlabel_11865 --> nlabel_11953
             | nlabel_11864 --> nlabel_11953
             | nlabel_11863 --> nlabel_11953
             | nlabel_11862 --> nlabel_11953
             | nlabel_11861 --> nlabel_11953
             | nlabel_11860 --> nlabel_11953
             | nlabel --> nlabel_11953
             |)
          |)
         where 
         boolean Tick_8352;
         label nlabel, nlabel_11860, nlabel_11861, nlabel_11862, nlabel_11863, nlabel_11864, nlabel_11865, nlabel_11866, nlabel_11867, nlabel_11868, nlabel_11869, nlabel_11870, nlabel_11871, nlabel_11872, nlabel_11873, nlabel_11874, nlabel_11875, 
               nlabel_11876, nlabel_11877, nlabel_11878, nlabel_11879, nlabel_11880, nlabel_11881, nlabel_11882, nlabel_11883, nlabel_11884, nlabel_11885, nlabel_11886, nlabel_11887, nlabel_11888, nlabel_11889, nlabel_11890, nlabel_11891, nlabel_11953; 
         action Q1COSTQ1_Cluster_1 =
              ( ? boolean error_253;
                  boolean C_error;
                ! boolean error;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_2 =
              ( ? real x;
                  boolean C_cc_328;
                ! real x1;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_3 =
              ( ! real x2;
                  boolean C_y;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_4 =
              ( ? real a;
                ! boolean OK;
                  boolean C_C_error;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_5 =
              ( ! boolean C_error_360;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_6 =
              ( ! boolean C_x1;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_7 =
              ( ! integer d_error;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_8 =
              ( ! integer d_x1;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_9 =
              ( ! integer d_x2;
                  integer d_C_y;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_10 =
              ( ? integer d_a;
                ! integer d_OK;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_11 =
              ( ! integer d_stable;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_12 =
              ( ! integer d_C_error_360;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_13 =
              ( ! integer d_C_x1;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_14 =
              ( ? real b;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_15 =
              ( ? boolean C_cc_328;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_16 =
              ( ? real c;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_17 =
              ( ? integer d_c;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_18 =
              ( ? integer d_b;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_19 =
              ( ? integer d_C_cc_328;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_20 =
              ( ? integer d_C_error;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_21 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_22 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_23 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_24 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_25 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_26 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_27 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_28 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_29 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_30 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_31 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_32 =
              ( )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_33 =
              ( ? boolean C_error;
              )
            pragmas 
               Black_Box ""
            end pragmas
         
         ; 
         action Q1COSTQ1_Cluster_delays =
              ( ! boolean stable init true;
              )
            pragmas 
               DelayCluster ""
               Black_Box ""
            end pragmas
         
         ; 
         end
      ; 
      end
   ; 
   process DateGenerator =
        ( ? dEnd;
          ! d_a;
            HomoType d_b;
            HomoType d_c;
        )
      (| d := ((dEnd$ init NilHomoTypeValue) when (^d_a))+(d$ init NilHomoTypeValue)
       | d_a := d
       | d_b := d
       | d_c := d
       |)
      where 
      HomoType d;
      end
   ; 
   process MaxLatency =
        ( ? HomoType lat;
          ! HomoType MaxLat;
        )
      (| MaxLat := (lat when (lat>ZMaxLat)) default ZMaxLat
       | ZMaxLat := MaxLat$1 init NilHomoTypeValue
       | ZMaxLat ^= lat
       |)
      where 
      HomoType ZMaxLat;
      end
   ; 
   process Latency =
        ( ? d_deb;
            boolean stable;
            HomoType d_x1;
            HomoType d_x2;
            HomoType d_error;
          ! HomoType dEnd;
            HomoType lat;
        )
      (| d_end := MAX(MAX(d_x1,d_x2),d_error)
       | dEnd := d_end cell (^stable)
       | l := dEnd-(d_deb cell (^stable))
       | lat := l when (^d_end)
       |)
      where 
      HomoType l, d_end;
      process MAX =
           ( ? HomoType IN1;
               HomoType IN2;
             ! HomoType MAX_VAL;
           )
         (| HCOMMON := (when (^IN1)) when (^IN2)
          | c1 := IN1 when HCOMMON
          | c2 := IN2 when HCOMMON
          | MAX_VAL := (IN1 when (c1>c2)) default IN2 default IN1
          |)
         where 
         event HCOMMON;
         HomoType c1, c2;
         end
      ; 
      end
   ; 
   integer d_error, d_x1, d_x2;
   boolean stable init true;
   HomoType d_a, d_b_1, d_b, d_c_2, d_c, dEnd;
   end
; 
