process equationSolving_TRA =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean oc;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_C_x := ^CLK_C_x
       | ACT_CLK_C_x{}
       |)
    | (| {c --> x2} when CLK_211
       | {c --> x21} when CLK_209
       | {c --> err} when CLK_err
       | {c --> C_y} when CLK_211
       | {c --> C_err} when CLK_err
       | {c --> C_x} when CLK_209
       | {b --> x2} when CLK_211
       | {b --> x21} when CLK_209
       | {b --> err} when CLK_err
       | {b --> C_y} when CLK_211
       | {b --> C_err} when CLK_err
       | {b --> C_x} when CLK_209
       | {a --> x2} when CLK_211
       | {a --> x21} when CLK_209
       | {a --> err} when CLK_err
       | {a --> C_y} when CLK_211
       | {a --> C_bb} when CLK_C_err
       | {a --> C_err} when CLK_err
       | {a --> C_x} when CLK_209
       |)
    |)
   where 
   constant real cst_epsilon = 0.0001;
   event CLK_C_x;
   process ACT_CLK_C_x =
        ( )
      (| CLK_C_x ^= C_x ^= stable ^= C_y
       | (| CLK_x2 := when C_y
          | CLK_x2 ^= x2
          | CLK := when (not C_y)
          |)
       | (| CLK_x21 := when C_x
          | CLK_x21 ^= x21
          | CLK_125 := when (not C_x)
          |)
       | (| CLK_a := when stable
          | CLK_a ^= a ^= b ^= c ^= C_bb
          | ACT_CLK_a{}
          | CLK_134 := when (not stable)
          |)
       | (| CLK_209 := CLK_x21 ^* CLK_a |)
       | (| CLK_211 := CLK_x2 ^* CLK_a |)
       | (| CLK_x1 := CLK_x21 ^+ CLK_x
          | CLK_x1 ^= x1
          | ACT_CLK_x1{}
          |)
       | (| CLK_217 := CLK_x21 ^+ CLK_err |)
       | (| CLK_219 := CLK_x2 ^+ CLK_err |)
       | (| CLK_221 := CLK_219 ^+ CLK_x21 |)
       | (| CLK_223 := CLK_217 ^+ CLK_C_err |)
       | (| CLK_225 := CLK_223 ^+ CLK_x2 |)
       | (| CLK_227 := CLK_225 ^+ CLK_a |)
       | (| CLK_229 := CLK_x1 ^+ CLK_oc |)
       | (| CLK_233 := CLK_229 ^+ CLK_err |)
       | (| CLK_236 := CLK_233 ^+ CLK_a |)
       | (| CLK_241 := CLK_x ^- CLK_x21 |)
       | (| (err,x21,x2,stable,C_y,C_bb,C_err,C_x) := SecondDegree_ABS(a,b,c) |)
       |)
      where 
      event CLK_241, CLK_236, CLK_233, CLK_229, CLK_227, CLK_225, CLK_223, CLK_221, CLK_219, CLK_217, CLK_x1, CLK_oc, CLK_211, CLK_209, CLK_x, CLK_134, CLK_a, CLK_125, CLK_x21, CLK_err, CLK_C_err, CLK, CLK_x2;
      boolean err, C_x, C_bb, C_err, stable, C_y;
      real x, x21;
      process ACT_CLK_a =
           ( )
         (| CLK_a ^= OK ^= XZX_184
          | (| CLK_C_err := when C_bb
             | CLK_C_err ^= C_err
             | ACT_CLK_C_err{}
             | CLK_113 := when (not C_bb)
             |)
          | (| CLK_bb_1 := when XZX_184
             | ACT_CLK_bb_1{}
             | CLK_173 := when (not XZX_184)
             |)
          | (| CLK_oc := CLK_error ^+ CLK_188
             | CLK_oc ^= oc
             | (| oc := CLK_188 default (error when CLK_239) |)
             |)
          | (| CLK_239 := CLK_error ^- CLK_188 |)
          | (| OK := a/=0.0
             | XZX_184 := not OK
             |)
          |)
         where 
         event CLK_239, CLK_188, CLK_173, CLK_bb_1, CLK_error, CLK_113;
         boolean OK, XZX_184, error;
         process ACT_CLK_C_err =
              ( )
            (| (| CLK_err := when C_err
                | CLK_err ^= err
                | ACT_CLK_err{}
                | CLK_117 := when (not C_err)
                |) |)
            where 
            event CLK_117;
            process ACT_CLK_err =
                 ( )
               (| (| CLK_188 := when err
                   | CLK_189 := when (not err)
                   |) |)
               where 
               event CLK_189;
               end
            %ACT_CLK_err%; 
            end
         %ACT_CLK_C_err%; 
         process ACT_CLK_bb_1 =
              ( )
            (| CLK_bb_1 ^= bb_1 ^= cc_2
             | (| CLK_error := when (bb_1=0.0)
                | CLK_error ^= error
                | (| error := (cc_2/=0.0) when CLK_error |)
                | CLK_x := when (not (bb_1=0.0))
                | CLK_x ^= x
                | ACT_CLK_x{}
                |)
             | (| bb_1 := b when CLK_bb_1
                | cc_2 := c when CLK_bb_1
                |)
             |)
            where 
            real bb_1, cc_2;
            process ACT_CLK_x =
                 ( )
               (| CLK_x ^= bb ^= cc
                | (| x := -(cc/bb)
                   | bb := bb_1 when CLK_x
                   | cc := cc_2 when CLK_x
                   |)
                |)
               where 
               real bb, cc;
               end
            %ACT_CLK_x%; 
            end
         %ACT_CLK_bb_1%; 
         end
      %ACT_CLK_a%; 
      process ACT_CLK_x1 =
           ( )
         (| CLK_x1 ^= u
          | (| x1 := u
             | u := (x21 when CLK_x21) default (x when CLK_241)
             |)
          |)
         where 
         real u;
         end
      %ACT_CLK_x1%; 
      end
   %ACT_CLK_C_x%; 
   process SecondDegree_ABS =
        ( ? real a, b, c;
          ! boolean err;
            real x21, x2;
            boolean stable, C_y, C_bb, C_err, C_x;
        )
        spec (| (| {a,b,c} --> {err,x21,x2}
                 | {{a,b,c} --> C_y} when C_y
                 | {a --> C_bb} when C_bb
                 | {{a,b,c} --> C_err} when C_err
                 | {{a,b,c} --> C_x} when C_x
                 |)
              | (| stable ^= C_y ^= C_x
                 | when stable ^= a ^= b ^= c ^= C_bb
                 | when C_y ^= x2
                 | when C_bb ^= C_err
                 | when C_err ^= err
                 | when C_x ^= x21
                 |)
              |)
      pragmas 
         BlackBox "SecondDegree"
      end pragmas
      external "C"
   %SecondDegree_ABS%; 
   end
%equationSolving_TRA%; 
